[ROM][LineageOS][N801x/N8000][ALPHA][10/08/2017]Nougat

Search This thread

miztrniceguy

Member
Apr 1, 2012
41
3
" How to install:
Follow the usual procedure, important things is to use supported recovery, you can download it from the download section. "

ummm....what is the "usual procedure" ? Never done this before. I've downloaded TWRP, GAPPS and the ROM from the links listed. I already have Samsung drivers on my laptop. but what do I DO ? I would love to have Nougat on my 8013
 

davidk21770

Senior Member
Aug 28, 2011
370
90
Samsung Galaxy Tab S3
OnePlus 7 Pro
" How to install:
Follow the usual procedure, important things is to use supported recovery, you can download it from the download section. "

ummm....what is the "usual procedure" ? Never done this before. I've downloaded TWRP, GAPPS and the ROM from the links listed. I already have Samsung drivers on my laptop. but what do I DO ? I would love to have Nougat on my 8013
You do your homework.
Root your tablet . You should find threads on how to do it in this forum.
Find the TWRP thread and read how to install it (you'll need odin and adb - or a rooted tablet and flashify) .
Invest in a good app backup program like titanium and make an app backup.
Boot TWRP and make a backup of your system including boot and efs. I backup user data and external sd to my computer instead of with TWRP.
Wipe system, data, cache, and dalvik (factory wipe).
Install the rom then gaps nano or pico - other gapps can be installed from the store. There's not enough room in system for a bigger gapps.
I don't remember any patches for this rom. If There are, install them next.
Boot system and go through Android setup then reboot at least once before enabling root. The 1st boot after the installation from TWRP may take 30 minutes or more. Be patient.
Make sure everything works. If not, try again ;).
Boot recovery (TWRP) and make a backup of your new system. You may need to move your previous backup to your computer to make room.
Again, make sure you have backups of efs and boot (along with system and data).
 

Flogisto

Member
Feb 2, 2016
48
13
Montreal
official Lineage addon here
https://download.lineageos.org/extras

It integrates with the devel options.

I'm using Magisk with LOS 14.1 for the Hide options and to pass SafetyNet.

HI there, have you found a way to pass safety net? I haven't been able to fix that yet. I installed the ROM and Magisk in one go, reboot system and check everything was working good. AFter, boot recovery back and install GAPPS.
After I run the Safety Net check on Magisk Manager, the logs' only error message is one that states:
Code:
proc_monitor:  Your kernel doesn't support mount namesapce :(

Other than that everything else seems ok, except for the fact that I can't install Netflix on my system.

Thanks for any advice!
 
Last edited:

YOSEFE

Senior Member
Sep 12, 2006
1,541
117
UK
Key point is install TWRP 3.0.2.0 before ROM and gapps then all works fine.

---------- Post added at 09:46 AM ---------- Previous post was at 09:42 AM ----------

On my n8010 the keyboard on this rom works fine. So not sure what this limitation refers to.

Where is version 3020 for Note 10.1 (2012)? I can't see it on the Twrp site.

Thank you for looking at this.
 

cyhperx

New member
Feb 16, 2018
2
0
I have question that is following me since some time:

Why I cannot install the official version on my N8010 that is published by Lineage (e.g. lineage-14.1-20180215-nightly-n1awifi-signed)?

I am using the unofficial version that is offered in this threat but when I try to install the official one I always get error message 4.

Actually I am really interested about the differences. Especially because I intended to use the Lineage Downloader to keep it up to date.

Thank you very much in advance!

PS: Using TWRP 3.0.2.0 newer version just result in a bootloop
 
Last edited:

davidk21770

Senior Member
Aug 28, 2011
370
90
Samsung Galaxy Tab S3
OnePlus 7 Pro
I have question that is following me since some time:

Why I cannot install the official version on my N8010 that is published by Lineage (e.g. lineage-14.1-20180215-nightly-n1awifi-signed)?

I am using the unofficial version that is offered in this threat but when I try to install the official one I always get error message 4.

Actually I am really interested about the differences. Especially because I intended to use the Lineage Downloader to keep it up to date.

Thank you very much in advance!

PS: Using TWRP 3.0.2.0 newer version just result in a bootloop
There are parts of the ROM that are specific to a device (typical low level interfaces to the hw). So each ROM has to be modified for these. Without these pieces, the ROM won't work - this is why there's a version of lineage for each and every device that it runs on and they are not interchangeable.
 

cyhperx

New member
Feb 16, 2018
2
0
Ok thank you guys. :good:

Is there a threat existence that is differentiating between all the 10.1 modells? I mean would just helpful for others since I really was wondering why I have to use an unofficial build when there is an official.

An experimental that is bridging to the official build is not available or in development, right?
 

ST Dog

Senior Member
Jun 22, 2013
1,122
341
After I run the Safety Net check on Magisk Manager, the logs' only error message is one that states:
Code:
proc_monitor:  Your kernel doesn't support mount namesapce :(

Other than that everything else seems ok, except for the fact that I can't install Netflix on my system.

Thanks for any advice!

I don't have this on the Note yet (daughter's tablet).

Sounds like something needed by Magisk isn't in the Note kernel. Try the Magisk support threads for more.

As for Netflix, you can try side loading version 14, download from an apk mirror.
 
  • Like
Reactions: Flogisto

Netzheimer

Member
Sep 3, 2014
36
5
Hi. I am trying to build a new version of lineage 14.1 for my Samsung Galaxy Note 10.1. But every time I run time brunch n8013 I get the following errors:
'libwifi-hal-mock_intermediates' + 'MODULE.TARGET.SHARED_LIBRARIES.consumerir.exynos4 already defined by device'

Code:
[email protected]:~/android/system$ time brunch n8013including vendor/cm/vendorsetup.sh
Trying dependencies-only mode on a non-existing device tree?

============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=7.1.2
LINEAGE_VERSION=14.1-20180219-UNOFFICIAL-n8013
TARGET_PRODUCT=lineage_n8013
TARGET_BUILD_VARIANT=userdebug
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=arm
TARGET_ARCH_VARIANT=armv7-a-neon
TARGET_CPU_VARIANT=cortex-a9
TARGET_2ND_ARCH=
TARGET_2ND_ARCH_VARIANT=
TARGET_2ND_CPU_VARIANT=
HOST_ARCH=x86_64
HOST_2ND_ARCH=x86
HOST_OS=linux
HOST_OS_EXTRA=Linux-4.13.0-32-generic-x86_64-with-Ubuntu-17.10-artful
HOST_CROSS_OS=windows
HOST_CROSS_ARCH=x86
HOST_CROSS_2ND_ARCH=x86_64
HOST_BUILD_TYPE=release
BUILD_ID=NJH47F
OUT_DIR=/home/andi/android/system/out
WITH_SU=true
============================================
make: Entering directory '/home/andi/android/system'
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=7.1.2
LINEAGE_VERSION=14.1-20180219-UNOFFICIAL-n8013
TARGET_PRODUCT=lineage_n8013
TARGET_BUILD_VARIANT=userdebug
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=arm
TARGET_ARCH_VARIANT=armv7-a-neon
TARGET_CPU_VARIANT=cortex-a9
TARGET_2ND_ARCH=
TARGET_2ND_ARCH_VARIANT=
TARGET_2ND_CPU_VARIANT=
HOST_ARCH=x86_64
HOST_2ND_ARCH=x86
HOST_OS=linux
HOST_OS_EXTRA=Linux-4.13.0-32-generic-x86_64-with-Ubuntu-17.10-artful
HOST_CROSS_OS=windows
HOST_CROSS_ARCH=x86
HOST_CROSS_2ND_ARCH=x86_64
HOST_BUILD_TYPE=release
BUILD_ID=NJH47F
OUT_DIR=/home/andi/android/system/out
WITH_SU=true
============================================
Running kati to generate build-lineage_n8013.ninja...
/home/andi/android/system/out/build-lineage_n8013.ninja is missing, regenerating...
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=7.1.2
LINEAGE_VERSION=14.1-20180219-UNOFFICIAL-n8013
TARGET_PRODUCT=lineage_n8013
TARGET_BUILD_VARIANT=userdebug
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=arm
TARGET_ARCH_VARIANT=armv7-a-neon
TARGET_CPU_VARIANT=cortex-a9
TARGET_2ND_ARCH=
TARGET_2ND_ARCH_VARIANT=
TARGET_2ND_CPU_VARIANT=
HOST_ARCH=x86_64
HOST_2ND_ARCH=x86
HOST_OS=linux
HOST_OS_EXTRA=Linux-4.13.0-32-generic-x86_64-with-Ubuntu-17.10-artful
HOST_CROSS_OS=windows
HOST_CROSS_ARCH=x86
HOST_CROSS_2ND_ARCH=x86_64
HOST_BUILD_TYPE=release
BUILD_ID=NJH47F
OUT_DIR=/home/andi/android/system/out
WITH_SU=true
============================================
find: ‘/home/andi/android/system/out/target/common/obj/SHARED_LIBRARIES/libwifi-hal-mock_intermediates’: No such file or directory
build/core/base_rules.mk:183: *** hardware/samsung/consumerir: MODULE.TARGET.SHARED_LIBRARIES.consumerir.exynos4 already defined by device/samsung/n80xx-common/consumerir.
build/core/ninja.mk:166: recipe for target '/home/andi/android/system/out/build-lineage_n8013.ninja' failed
make: *** [/home/andi/android/system/out/build-lineage_n8013.ninja] Error 1
make: Leaving directory '/home/andi/android/system'

#### make failed to build some targets (01:52 (mm:ss)) ####


real	1m54,949s
user	0m9,082s
sys	0m3,863s

I already tried a lot suggestions from this thread. But nothing helped so far.
  • Cant find libaudiopolicyservice from linageos github. A user told to clone this into the directory
  • with './prebuilts/sdk/tools/jack-admin start-server' I get the error 'Jack server installation not found"
  • I dont have the line ' custom_audio_policy' in any boardconfig.mk. So I cant disable it as suggested from neonkat

I would really love to build a new version of lineageos for n8013. Please help me @lirokoa
 

Flogisto

Member
Feb 2, 2016
48
13
Montreal
I don't have this on the Note yet (daughter's tablet).

Sounds like something needed by Magisk isn't in the Note kernel. Try the Magisk support threads for more.

As for Netflix, you can try side loading version 14, download from an apk mirror.

Thanks for your answer. I checked in some forums and it says that the kernel I use might be outdated to work and pass safety net. However, being this Lineage OS I fail to see to this ROM has an outdated kernel. It may not be the latest Linux kernel out there but it should be up to date enough to work with magisk. I haven't modified anything since installation, is there anyone else out there experiencing the same safety net issues? Thanks again for any advice.
 

miztrniceguy

Member
Apr 1, 2012
41
3
making progress, but no Play Store

I've successfully flashed Lineage OS and GAPPs-Nano. At least it said it flashed GAPPS, but I don't have Google Play, etc. Everything booted fine, though.
 

Attachments

  • 20180222_075758.jpg
    20180222_075758.jpg
    253.2 KB · Views: 493
  • 20180222_075831.jpg
    20180222_075831.jpg
    249.4 KB · Views: 495

miztrniceguy

Member
Apr 1, 2012
41
3
GAPPS error

Just flash em again. They uninstall 1st if anything's found. (Just gaps)

NANO fails with code 20
Open Gapps had a different error, see picture. On reboot I got the message about device not being rooted ans asking to install SuperSU but I said no, as that is what I have seen mentioned elsewhere. Thank you for the help
 
Last edited:

Top Liked Posts

  • There are no posts matching your filters.
  • 120
    LineageOS is a free, community built, aftermarket firmware distribution of Android 6.0, which is designed to increase performance and reliability over stock Android for your device.

    Code:
    #include 
    /*
     * Your warranty is now void.
     *
     * I am not responsible for bricked devices, dead SD cards,
     * thermonuclear war, or you getting fired because the alarm app failed. Please
     * do some research if you have any concerns about features included in this ROM
     * before flashing it! YOU are choosing to make these modifications, and if
     * you point the finger at me for messing up your device, I will laugh at you.
     *
     * Submitting bug reports on nightly builds is the leading 
     * cause of male impotence.
     */

    CyanogenMod is based on the Android Open Source Project with extra contributions from many people within the Android community.
    It can be used without any need to have any Google application installed.
    CyanogenMod does still include various hardware-specific code, which is also slowly being open-sourced anyway.

    All the source code for CyanogenMod is available in the CyanogenMod Github repo. And if you would like to contribute to CyanogenMod, please visit out Gerrit Code Review. You can also view the Changelog for a full list of changes & features.

    STATUS: ALPHA
    This is a preview build, do not install it if you want a stable ROM.

    • This is a preview of what is going down on CM14.1
    • Rom is in beta state so many bugs are to be expected!
    • All the source code is available on my Github.
    • I do this on my free time and unfortunately I don't have much.
    • Any help is a appreciated!

    LINKS IN SECOND POST

    Source code: https://github.com/lirokoa

    CREDITS:
    • The whole Cyanogenmod team
    • Special thanks @dhiru1602 for his awesome work on exynos 4
    • All people who works on the Exynos 4 SOC, they desserve it :)

    XDA:DevDB Information
    LineageOS N801X/N8000, ROM for the Samsung Galaxy Note 10.1

    Contributors
    lirokoa
    Source Code: https://github.com/lirokoa

    ROM OS Version: 7.x Nougat
    ROM Kernel: Linux 3.0.x

    Version Information
    Status: Alpha

    Created 2016-11-22
    Last Updated 2017-08-10
    58
    How to install:
    Follow the usual procedure, important things is to use supported recovery, you can download it from the download section.
    Also do not forget, wipe everything, install rom, then gapps without reboot between!
    Others recovery will not be supported!
    Also if you come from another ROM, full wipe is required.

    FAQ:
    • Which Gapps to use? OpenGapps works great, you can get them from here
    • After installing ROM + Gapss, GApps keep crashing: Just update your recovery with the provided twrp (in cm-13.0 thread)
    • Keyboard does not work: enable hardware keyboard in settings.
    • If you don't want to see cursor while using S-Pen, you can disable it it in settings / inputs
    • Camera is not working: use google camera

    SECURITY WARNING:
    SElinux is set to permissive, I'm tired of rewriting those rules...
    23
    Charging while tablet is off will be fixed in next release for those who are interested.
    18
    New build incoming.
    N8013 is up, N8000 will follow.

    N8000 users, please let me know if wifi tethering is fixed, thank you.
Our Apps
Get our official app!
The best way to access XDA on your phone
Nav Gestures
Add swipe gestures to any Android
One Handed Mode
Eases uses one hand with your phone